# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: getband.tcl,v 1.7 1998/10/13 20:26:30 dglo Exp $

# GetBand w
#
# Create a top-level window containing a listbox showing a bunch of
# enhancement table names.
#
# Arguments:
#
#    w		Name to use for new top-level window.
#

proc GetBand { image band {w .getband}} {

#
#	Let user know this will take a while.
#
	showBusyStatus
#
#	Create a popup widget for listing enhancement table names.
#
	catch {destroy $w}
	toplevel $w
	wm title $w "Bands for $image "
	wm iconname $w "Bands"
	wm minsize $w 1 1
	placepopup $w
	message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 900 \
	    -text "Double click to select Band."

	frame $w.frame -borderwidth 10
	scrollbar $w.frame.scroll -relief sunken -command "$w.frame.list yview"
	listbox $w.frame.list -yscroll "$w.frame.scroll set" -relief sunken \
		-width 30 -height 10 -setgrid 1

	pack append $w.frame $w.frame.scroll {right filly} \
		$w.frame.list {left expand fill}
#
#	Get the table names and put them in the listbox.
#

#	check to see if there is already a position

	set checkit [string first "." $image]
	if { $checkit != -1} {
		set askfor $image
	} else {
		set askfor [format "%s.0" $image]
	}
	set lalist [open "|imglist.k $askfor FORM=BAND" r]
	gets $lalist lab1
	label $w.label -width 42 -textvariable lab1
	gets $lalist lab2
	gets $lalist lab2
	gets $lalist lab2
	gets $lalist lab2
	while {[gets $lalist line] > -1} {

#
#		Don't put the Done message into the box.
#
		if {[string first Done $line] == -1} {
#
#			Don't put the linked message into the box.
#
			if { [string first linked $line] == -1} {
#
#				Extract the file name.  Insert in listbox.
#
				set filename [string range $line 0 20]
				$w.frame.list insert end $filename
			}
		}
	}
	catch {close $lalist}
#
#	Select a table by double clicking.
#
	bind $w.frame.list <Double-1> \
		{set areal [selection get]
		 set band [string range $areal 9 12]
		 destroy .getband
	}
#
#	Dismiss button.
#
	button $w.ok -text Dismiss -command "destroy $w" -width 20

	pack append $w $w.msg {top fill} $w.frame {top}\
		$w.ok {bottom }
#
#	Let user know we're done.
#
	showIdleStatus
}
