# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: latlon.tcl,v 1.2 1998/10/13 20:26:39 dglo Exp $

# Enable lat/lon labels and entries.
#
proc enableLatLon {latWidget lonWidget {colorButton ""}} {

#
#	Get the typical foreground color for labels and use it.
#
	set color [option get $latWidget.label foreground Foreground]
	$latWidget.label configure -foreground $color
	$lonWidget.label configure -foreground $color
#
#	Enable the entries.
#
	$latWidget.entry configure -state normal
	$lonWidget.entry configure -state normal
#
#	Enable the color button.
#
	if {$colorButton != ""} {
		$colorButton configure -state normal
	}
}

#
# Disable lat/lon labels and entries.
#
proc disableLatLon {latWidget lonWidget {colorButton ""}} {

#
#	Change the colors of the labels to indicate they are disabled.
#
	$latWidget.label configure -foreground gray80
	$lonWidget.label configure -foreground gray80
#
#	Disable the entries.
#
	$latWidget.entry configure -state disabled
	$lonWidget.entry configure -state disabled
#
#	Disable the color button.
#
	if {$colorButton != ""} {
		$colorButton configure -state disabled
	}
}
